{"openapi":"3.1.0","info":{"title":"Foireann Open Data API","description":"API for querying Competitions, Fixtures & Results from Foireann","termsOfService":"https://gmssupport.zendesk.com/hc/en-gb","contact":{"name":"Foireann Support","url":"https://gmssupport.zendesk.com/hc/en-gb"},"license":{"name":"MIT License","url":"https://choosealicense.com/licenses/mit/"},"version":"1.0"},"servers":[{"url":"https://api.foireann.ie/open-data","description":"Server URL in Production environment"}],"tags":[{"name":"Fixtures","description":"Fetch Fixtures & Results"},{"name":"Competitions","description":"Fetch Competitions, Divisions & League Tables"},{"name":"Organizations","description":"Fetch Organization data"}],"paths":{"/v1/organization":{"get":{"tags":["Organizations"],"summary":"Search and filter Organizations","description":"This endpoint allows you to search and filter Organizations","operationId":"getAll","parameters":[{"name":"search","in":"query","description":"Free text search for a Organization by Name, Alternate Name, Legal Name, County or Town","required":false,"schema":{"type":"string","description":"Free text search for a Organization by Name, Alternate Name, Legal Name, County or Town"}},{"name":"ancestor.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The ID of the unit who created the Competition"}}},{"name":"additionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The type of the Organization","enum":["club","county"]}}},{"name":"status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The status of the Organization","enum":["enabled","disabled"]}}},{"name":"association","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The association the Organization is affiliated with","enum":["gaa","lgfa","camogie","handball","rounders"]}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseOrganizationBasic"}}}}}}},"/v1/organization/{identifier}":{"get":{"tags":["Organizations"],"summary":"Fetch Organization by identifier","description":"This endpoint allows you to fetch a single Organization","operationId":"getByIdentifier","parameters":[{"name":"identifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Organization"}}}}}}},"/v1/fixtures":{"get":{"tags":["Fixtures"],"summary":"Search and filter fixtures and results","description":"This endpoint allows you to search and filter fixtures and results","operationId":"getAll_1","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Fixture"}}},{"name":"masterCompetition.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The ID of the Master Competition"}}},{"name":"involvedTeams","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Team participating in a Fixture"}}},{"name":"involvedGroups","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Group that teams belong to in a Fixture"}}},{"name":"isResult","in":"query","description":"Whether the Fixture is a result or not","required":false,"schema":{"type":"boolean","description":"Whether the Fixture is a result or not"}},{"name":"startDateFrom","in":"query","description":"The start date range of the Fixture","required":false,"schema":{"type":"string","format":"date-time","description":"The start date range of the Fixture","example":"2024-01-01T00:00:00Z"},"example":"2024-01-01T00:00:00Z"},{"name":"startDateTo","in":"query","description":"The end date range of the Fixture","required":false,"schema":{"type":"string","format":"date-time","description":"The end date range of the Fixture","example":"2024-01-01T00:00:00Z"},"example":"2024-01-01T00:00:00Z"},{"name":"startDateDaysBefore","in":"query","description":"The number of days before the start date of the Fixture","required":false,"schema":{"type":"integer","format":"int32","description":"The number of days before the start date of the Fixture","minimum":0}},{"name":"startDateDaysAfter","in":"query","description":"The number of days after the start date of the Fixture","required":false,"schema":{"type":"integer","format":"int32","description":"The number of days after the start date of the Fixture","minimum":0}},{"name":"showTbc","in":"query","description":"Whether to include Fixtures where a Team has not been assigned yet","required":false,"schema":{"type":"boolean","description":"Whether to include Fixtures where a Team has not been assigned yet"}},{"name":"showByeGames","in":"query","description":"Whether to include Fixtures where a Team has a bye","required":false,"schema":{"type":"boolean","description":"Whether to include Fixtures where a Team has a bye"}},{"name":"owner.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for the unit that owns the Competition of the Fixture"}}},{"name":"owner.ancestors","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The parent of the unit that owns the Competition of the Fixture"}}},{"name":"ownerInvolvement","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for an Organisation - returns fixtures where the organisation is directly involved as a team OR owns the competition"}}},{"name":"includeDescendants","in":"query","description":"When true, retrieves fixtures for the direct descendants of an organisation","required":false,"schema":{"type":"boolean","description":"When true, retrieves fixtures for the direct descendants of an organisation"}},{"name":"competition.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Competition of the Fixture"}}},{"name":"competition.additionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The type of the Competition","enum":["club","inter_county","province","third_level","school","interfirm"]}}},{"name":"competition.excludeAdditionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Exclude fixtures from competitions with these types","enum":["club","inter_county","province","third_level","school","interfirm"]}}},{"name":"competition.activity","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The code of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]}}},{"name":"competition.excludeActivity","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Exclude fixtures from competitions with these codes of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]}}},{"name":"competition.grade","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The grade of the Competition","enum":["senior","intermediate","junior","u21","minor","juvenile","underage"]}}},{"name":"competition.format","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The format of the Competition","enum":["league","cup","league_knockout"]}}},{"name":"competition.ageLevel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The age level of the Competition","example":"U16"}}},{"name":"competition.minAgeLevel","in":"query","description":"The minimum age level of the Competition","required":false,"schema":{"type":"string","description":"The minimum age level of the Competition","example":"U16"},"example":"U16"},{"name":"competition.maxAgeLevel","in":"query","description":"The maximum age level of the Competition","required":false,"schema":{"type":"string","description":"The maximum age level of the Competition","example":"U16"},"example":"U16"},{"name":"competition.season","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The season of the Competition","example":2024}}},{"name":"competition.status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The status of the Competition","enum":["active","deleted","archived"],"example":"active"}}},{"name":"division.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Division of the Fixture"}}},{"name":"division.format","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The format of the Division of the Fixture","enum":["league","cup"]}}},{"name":"place.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Place of the Fixture"}}},{"name":"search","in":"query","description":"Free text search for a Fixture by Competition/Division/Team name","required":false,"schema":{"type":"string","description":"Free text search for a Fixture by Competition/Division/Team name"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","default":["startDate,DESC"],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseFixture"}}}}},"security":[{"Authorization":[]}]}},"/v1/fixtures/calendar":{"get":{"tags":["Fixtures"],"summary":"Search and filter fixture dates for calendar integration","description":"This endpoint allows you to search and filter fixture and result dates","operationId":"getAllFixtureDates","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Fixture"}}},{"name":"masterCompetition.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The ID of the Master Competition"}}},{"name":"involvedTeams","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Team participating in a Fixture"}}},{"name":"involvedGroups","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Group that teams belong to in a Fixture"}}},{"name":"isResult","in":"query","description":"Whether the Fixture is a result or not","required":false,"schema":{"type":"boolean","description":"Whether the Fixture is a result or not"}},{"name":"startDateFrom","in":"query","description":"The start date range of the Fixture","required":false,"schema":{"type":"string","format":"date-time","description":"The start date range of the Fixture","example":"2024-01-01T00:00:00Z"},"example":"2024-01-01T00:00:00Z"},{"name":"startDateTo","in":"query","description":"The end date range of the Fixture","required":false,"schema":{"type":"string","format":"date-time","description":"The end date range of the Fixture","example":"2024-01-01T00:00:00Z"},"example":"2024-01-01T00:00:00Z"},{"name":"startDateDaysBefore","in":"query","description":"The number of days before the start date of the Fixture","required":false,"schema":{"type":"integer","format":"int32","description":"The number of days before the start date of the Fixture","minimum":0}},{"name":"startDateDaysAfter","in":"query","description":"The number of days after the start date of the Fixture","required":false,"schema":{"type":"integer","format":"int32","description":"The number of days after the start date of the Fixture","minimum":0}},{"name":"showTbc","in":"query","description":"Whether to include Fixtures where a Team has not been assigned yet","required":false,"schema":{"type":"boolean","description":"Whether to include Fixtures where a Team has not been assigned yet"}},{"name":"showByeGames","in":"query","description":"Whether to include Fixtures where a Team has a bye","required":false,"schema":{"type":"boolean","description":"Whether to include Fixtures where a Team has a bye"}},{"name":"owner.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for the unit that owns the Competition of the Fixture"}}},{"name":"owner.ancestors","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The parent of the unit that owns the Competition of the Fixture"}}},{"name":"ownerInvolvement","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for an Organisation - returns fixtures where the organisation is directly involved as a team OR owns the competition"}}},{"name":"includeDescendants","in":"query","description":"When true, retrieves fixtures for the direct descendants of an organisation","required":false,"schema":{"type":"boolean","description":"When true, retrieves fixtures for the direct descendants of an organisation"}},{"name":"competition.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Competition of the Fixture"}}},{"name":"competition.additionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The type of the Competition","enum":["club","inter_county","province","third_level","school","interfirm"]}}},{"name":"competition.excludeAdditionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Exclude fixtures from competitions with these types","enum":["club","inter_county","province","third_level","school","interfirm"]}}},{"name":"competition.activity","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The code of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]}}},{"name":"competition.excludeActivity","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Exclude fixtures from competitions with these codes of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]}}},{"name":"competition.grade","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The grade of the Competition","enum":["senior","intermediate","junior","u21","minor","juvenile","underage"]}}},{"name":"competition.format","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The format of the Competition","enum":["league","cup","league_knockout"]}}},{"name":"competition.ageLevel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The age level of the Competition","example":"U16"}}},{"name":"competition.minAgeLevel","in":"query","description":"The minimum age level of the Competition","required":false,"schema":{"type":"string","description":"The minimum age level of the Competition","example":"U16"},"example":"U16"},{"name":"competition.maxAgeLevel","in":"query","description":"The maximum age level of the Competition","required":false,"schema":{"type":"string","description":"The maximum age level of the Competition","example":"U16"},"example":"U16"},{"name":"competition.season","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The season of the Competition","example":2024}}},{"name":"competition.status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The status of the Competition","enum":["active","deleted","archived"],"example":"active"}}},{"name":"division.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Division of the Fixture"}}},{"name":"division.format","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The format of the Division of the Fixture","enum":["league","cup"]}}},{"name":"place.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Place of the Fixture"}}},{"name":"search","in":"query","description":"Free text search for a Fixture by Competition/Division/Team name","required":false,"schema":{"type":"string","description":"Free text search for a Fixture by Competition/Division/Team name"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","default":["startDate,DESC"],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageFixtureDate"}}}}},"security":[{"Authorization":[]}]}},"/v1/fixtures/calendar/dates":{"get":{"tags":["Fixtures"],"summary":"Get distinct dates that have fixtures","description":"Returns unique dates that have fixtures for calendar display","operationId":"getFixtureDates","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Fixture"}}},{"name":"masterCompetition.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The ID of the Master Competition"}}},{"name":"involvedTeams","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Team participating in a Fixture"}}},{"name":"involvedGroups","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Group that teams belong to in a Fixture"}}},{"name":"isResult","in":"query","description":"Whether the Fixture is a result or not","required":false,"schema":{"type":"boolean","description":"Whether the Fixture is a result or not"}},{"name":"startDateFrom","in":"query","description":"The start date range of the Fixture","required":false,"schema":{"type":"string","format":"date-time","description":"The start date range of the Fixture","example":"2024-01-01T00:00:00Z"},"example":"2024-01-01T00:00:00Z"},{"name":"startDateTo","in":"query","description":"The end date range of the Fixture","required":false,"schema":{"type":"string","format":"date-time","description":"The end date range of the Fixture","example":"2024-01-01T00:00:00Z"},"example":"2024-01-01T00:00:00Z"},{"name":"startDateDaysBefore","in":"query","description":"The number of days before the start date of the Fixture","required":false,"schema":{"type":"integer","format":"int32","description":"The number of days before the start date of the Fixture","minimum":0}},{"name":"startDateDaysAfter","in":"query","description":"The number of days after the start date of the Fixture","required":false,"schema":{"type":"integer","format":"int32","description":"The number of days after the start date of the Fixture","minimum":0}},{"name":"showTbc","in":"query","description":"Whether to include Fixtures where a Team has not been assigned yet","required":false,"schema":{"type":"boolean","description":"Whether to include Fixtures where a Team has not been assigned yet"}},{"name":"showByeGames","in":"query","description":"Whether to include Fixtures where a Team has a bye","required":false,"schema":{"type":"boolean","description":"Whether to include Fixtures where a Team has a bye"}},{"name":"owner.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for the unit that owns the Competition of the Fixture"}}},{"name":"owner.ancestors","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The parent of the unit that owns the Competition of the Fixture"}}},{"name":"ownerInvolvement","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for an Organisation - returns fixtures where the organisation is directly involved as a team OR owns the competition"}}},{"name":"includeDescendants","in":"query","description":"When true, retrieves fixtures for the direct descendants of an organisation","required":false,"schema":{"type":"boolean","description":"When true, retrieves fixtures for the direct descendants of an organisation"}},{"name":"competition.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Competition of the Fixture"}}},{"name":"competition.additionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The type of the Competition","enum":["club","inter_county","province","third_level","school","interfirm"]}}},{"name":"competition.excludeAdditionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Exclude fixtures from competitions with these types","enum":["club","inter_county","province","third_level","school","interfirm"]}}},{"name":"competition.activity","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The code of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]}}},{"name":"competition.excludeActivity","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Exclude fixtures from competitions with these codes of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]}}},{"name":"competition.grade","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The grade of the Competition","enum":["senior","intermediate","junior","u21","minor","juvenile","underage"]}}},{"name":"competition.format","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The format of the Competition","enum":["league","cup","league_knockout"]}}},{"name":"competition.ageLevel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The age level of the Competition","example":"U16"}}},{"name":"competition.minAgeLevel","in":"query","description":"The minimum age level of the Competition","required":false,"schema":{"type":"string","description":"The minimum age level of the Competition","example":"U16"},"example":"U16"},{"name":"competition.maxAgeLevel","in":"query","description":"The maximum age level of the Competition","required":false,"schema":{"type":"string","description":"The maximum age level of the Competition","example":"U16"},"example":"U16"},{"name":"competition.season","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The season of the Competition","example":2024}}},{"name":"competition.status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The status of the Competition","enum":["active","deleted","archived"],"example":"active"}}},{"name":"division.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Division of the Fixture"}}},{"name":"division.format","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The format of the Division of the Fixture","enum":["league","cup"]}}},{"name":"place.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The unique identifier of the Place of the Fixture"}}},{"name":"search","in":"query","description":"Free text search for a Fixture by Competition/Division/Team name","required":false,"schema":{"type":"string","description":"Free text search for a Fixture by Competition/Division/Team name"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}},"security":[{"Authorization":[]}]}},"/v1/competitions":{"get":{"tags":["Competitions"],"summary":"Search and filter competitions and divisions","description":"This endpoint allows you to search and filter competitions and divisions","operationId":"getAll_2","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for a Competition"}}},{"name":"additionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The type of Competition","enum":["club","inter_county","province","third_level","school","interfirm"]}}},{"name":"excludeAdditionalType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Exclude competitions with these types","enum":["club","inter_county","province","third_level","school","interfirm"]}}},{"name":"activity","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The code of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]}}},{"name":"excludeActivity","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"Exclude competitions with these codes of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]}}},{"name":"grade","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The grade of the Competition","enum":["senior","intermediate","junior","u21","minor","juvenile","underage"]}}},{"name":"ageLevel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The age level of the Competition","example":"U16"}}},{"name":"minAgeLevel","in":"query","description":"The minimum age level of the Competition","required":false,"schema":{"type":"string","description":"The minimum age level of the Competition","example":"U16"},"example":"U16"},{"name":"maxAgeLevel","in":"query","description":"The maximum age level of the Competition","required":false,"schema":{"type":"string","description":"The maximum age level of the Competition","example":"U16"},"example":"U16"},{"name":"season","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32","description":"The season of the Competition","example":2024}}},{"name":"format","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The format of the Competition","enum":["league","cup","league_knockout"]}}},{"name":"status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","description":"The status of the Competition","enum":["active","archived"],"example":"active"}}},{"name":"owner.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The ID of the unit who created the Competition"}}},{"name":"ownerInvolvement","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"Unique identifier for an Organisation - returns competitions where the organisation is directly involved as a team OR owns the competition"}}},{"name":"includeDescendants","in":"query","description":"When true, retrieves competitions for the direct descendants of an organisation","required":false,"schema":{"type":"boolean","description":"When true, retrieves competitions for the direct descendants of an organisation"}},{"name":"isMasterCompetition","in":"query","description":"Whether the competition is part of a Master Competition","required":false,"schema":{"type":"boolean","description":"Whether the competition is part of a Master Competition"}},{"name":"masterCompetition.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The ID of the Master Competition"}}},{"name":"division.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The ID of the Division"}}},{"name":"team.id","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid","description":"The ID of the Team"}}},{"name":"search","in":"query","description":"Free text search for a Competition by Competition/Division/Owner/Team name","required":false,"schema":{"type":"string","description":"Free text search for a Competition by Competition/Division/Owner/Team name"}},{"name":"involvedTeams","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseCompetition"}}}}},"security":[{"Authorization":[]}]}},"/v1/competitions/teams":{"get":{"tags":["Competitions"],"summary":"Get teams for one or more competitions","description":"Returns the teams for each requested competition ID, with teams ordered alphabetically by name","operationId":"getTeams","parameters":[{"name":"id","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CompetitionTeams"}}}}}},"security":[{"Authorization":[]}]}}},"components":{"schemas":{"Address":{"type":"object","properties":{"postOfficeBoxNumber":{"type":"string","description":"PO Box number of the Organization"},"streetAddress":{"type":"string","description":"The street address of the Organization"},"streetAddress2":{"type":"string","description":"The second street address of the Organization"},"addressLocality":{"type":"string","description":"Town or city of the Organization"},"addressRegion":{"type":"string","description":"County/State/Region the Organization is in"},"postalCode":{"type":"string","description":"The postal code of the Organization"},"addressCountry":{"type":"string","description":"The country the Organization is in"}}},"LinkRef":{"type":"object","properties":{"href":{"type":"string"}}},"OrganizationBasic":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the Organization"},"status":{"type":"string"},"associations":{"type":"array","description":"Associations of the Organization","items":{"type":"string"}},"additionalType":{"type":"string","description":"The type of the Organization"},"name":{"type":"string","description":"The name of the Organization"},"legalName":{"type":"string","description":"The legal name of the Organization"},"alternateName":{"type":"string","description":"The alternate name of the Organization"},"logo":{"type":"string","description":"The logo of the Organization"},"address":{"$ref":"#/components/schemas/Address","description":"The address of the Organization"},"links":{"$ref":"#/components/schemas/OrganizationLinks"}}},"OrganizationLinks":{"type":"object","properties":{"self":{"$ref":"#/components/schemas/LinkRef","description":"The self link of the Organization"},"fixtures":{"$ref":"#/components/schemas/LinkRef","description":"The link to the Organization's fixtures"}}},"PagedResponseOrganizationBasic":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationBasic"}},"links":{"$ref":"#/components/schemas/PaginationLinks"},"page":{"$ref":"#/components/schemas/PaginationMeta"}}},"PaginationLinks":{"type":"object","properties":{"self":{"$ref":"#/components/schemas/LinkRef"},"first":{"$ref":"#/components/schemas/LinkRef"},"next":{"$ref":"#/components/schemas/LinkRef"},"prev":{"$ref":"#/components/schemas/LinkRef"},"last":{"$ref":"#/components/schemas/LinkRef"}}},"PaginationMeta":{"type":"object","properties":{"page":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int64"},"totalElements":{"type":"integer","format":"int64"}}},"BroadcastDetails":{"type":"object","properties":{"summary":{"type":"string","description":"The broadcast details of the fixture"},"url":{"type":"string","format":"url","description":"The URL of the broadcast"},"logoUrl":{"type":"string","format":"url","description":"The URL of the logo of the broadcast"}}},"CccRuling":{"type":"object","properties":{"homeTeamPoints":{"type":"integer","format":"int32","description":"The number of points that are awarded to the home team, only present for results"},"awayTeamPoints":{"type":"integer","format":"int32","description":"The number of points that are awarded to the away team, only present for results"},"notes":{"type":"string","description":"The reason for the CCC ruling","example":"Carrickmore St. Colmcilles conceded game due to insufficient players"},"summary":{"type":"string","description":"The formatted summary of the CCC ruling","example":"Carrickmore St. Colmcilles had 2 points deducted For the following reason: Carrickmore conceded game due to insufficient players"}}},"Competition":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the Competition of the Fixture"},"name":{"type":"string","description":"The name of the Competition of the Fixture"},"legalName":{"type":"string","description":"The legal name of the Competition of the Fixture, including the sponsor if there is one"},"sponsor":{"type":"string","description":"The sponsor of the Competition, if there is one"},"sponsorPosition":{"type":"string","description":"The position of the sponsor of the Competition in the Legal Name, if there is one","enum":["start","end"]},"additionalType":{"type":"string","description":"The type of Competition","enum":["club","inter_county","province","third_level","school","interfirm"]},"format":{"type":"string","description":"The format of Competition","enum":["league","cup","league_knockout"]},"activity":{"type":"string","description":"The code of the Competition","enum":["football","hurling","ladies_football","camogie","handball","rounders"]},"grade":{"type":"string","description":"The grade of Competition","enum":["senior","intermediate","junior","u21","minor","juvenile","underage"]},"gender":{"type":"string","description":"The gender of the Competition","enum":["male","female"]},"ageLevel":{"type":"string","description":"The age level of the Competition","example":"U16"},"season":{"type":"string","description":"The season of the Competition","example":2023},"status":{"type":"string","description":"The status of the Competition","enum":["active","deleted","archived"],"example":"active"},"rank":{"type":"integer","format":"int32","description":"The rank of the Competition","example":1}}},"Division":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the Division of the Fixture"},"name":{"type":"string","description":"The name of the Division of the Fixture"},"abbreviatedName":{"type":"string","description":"The abbreviated name of the Division of the Fixture"},"format":{"type":"string","description":"The format of the Division of the Fixture","enum":["league","knockout"]}}},"Email":{"type":"object","properties":{"clubChildrensOfficer":{"type":"object","additionalProperties":{"type":"string"},"description":"Email address for the Organizations Children's Officer"},"secretary":{"type":"object","additionalProperties":{"type":"string"},"description":"Email address for the Organizations Secretary"}}},"Event":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"eventType":{"type":"string"},"minute":{"type":"integer","format":"int32"},"team":{"type":"string","format":"uuid"},"card":{"type":"string"},"injuryType":{"type":"string"},"info":{"type":"string"},"personOffId":{"type":"string","format":"uuid"},"personOffName":{"type":"string"},"personOnId":{"type":"string","format":"uuid"},"personOnName":{"type":"string"},"relatedPersonId":{"type":"string","format":"uuid"},"relatedPersonName":{"type":"string"}}},"Fixture":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the Fixture"},"identifier":{"type":"integer","format":"int32","description":"The legacy identifier of the Fixture"},"involvedTeams":{"type":"array","description":"The unique identifiers of the teams that are participating in the Fixture","items":{"type":"string","format":"uuid"}},"homeTeam":{"$ref":"#/components/schemas/Team"},"homeTeamFallbackName":{"type":"string","description":"The placeholder name for the home team not yet assigned to the Fixture"},"awayTeam":{"$ref":"#/components/schemas/Team"},"awayTeamFallbackName":{"type":"string","description":"The placeholder name for the away team not yet assigned to the Fixture"},"startDate":{"type":"string","format":"yyyy-MM-dd'T'HH:mm:ss'Z'","description":"The start date of the Fixture"},"startDateRangeFrom":{"type":"string","format":"yyyy-MM-dd'T'HH:mm:ss'Z'","description":"The start date of the Fixture, only shown if a range is specified"},"startDateRangeTo":{"type":"string","format":"yyyy-MM-dd'T'HH:mm:ss'Z'","description":"The end of start date range of the Fixture, only shown if a range is specified"},"isResult":{"type":"boolean","description":"If the fixture is a result or not"},"round":{"type":"string","description":"The round of the fixture","example":"Roinn 1"},"refereeName":{"type":"string","description":"The referee officiating the fixture"},"broadcastDetails":{"$ref":"#/components/schemas/BroadcastDetails"},"notes":{"type":"string","description":"The notes of the fixture"},"isPostponed":{"type":"boolean","description":"If the fixture is postponed or not"},"isRescheduled":{"type":"boolean","description":"If the fixture is rescheduled or not"},"isReplay":{"type":"boolean","description":"If the fixture is a replay or not"},"isAbandoned":{"type":"boolean","description":"If the fixture has been abandoned or not"},"isLive":{"type":"boolean","description":"Whether the fixture is currently marked as live by a fan"},"isNeverPlayed":{"type":"boolean","description":"If the fixture has never been played or not"},"isExtraTimePlayable":{"type":"boolean","description":"If extra time is playable or not"},"reportUrl":{"type":"string","description":"The URL of the report of the fixture"},"ticketUrl":{"type":"string","description":"Ticket purchase URL for the fixture"},"status":{"type":"string","description":"The status of the fixture","enum":["active","deleted"]},"createDate":{"type":"string","format":"yyyy-MM-dd'T'HH:mm:ss'Z'","description":"The created timestamp of the fixture"},"updateDate":{"type":"string","format":"yyyy-MM-dd'T'HH:mm:ss'Z'","description":"The updated timestamp of the fixture"},"place":{"$ref":"#/components/schemas/Place"},"owner":{"$ref":"#/components/schemas/Owner"},"division":{"$ref":"#/components/schemas/Division"},"competition":{"$ref":"#/components/schemas/Competition"},"cccRulings":{"type":"array","items":{"$ref":"#/components/schemas/CccRuling"}},"liveScore":{"$ref":"#/components/schemas/LiveScore"},"playerOfTheMatch":{"$ref":"#/components/schemas/LivePerson"},"events":{"type":"array","items":{"$ref":"#/components/schemas/Event"}},"links":{"$ref":"#/components/schemas/FixtureLinks"}}},"FixtureLinks":{"type":"object","properties":{"self":{"$ref":"#/components/schemas/LinkRef","description":"The self link of the Fixture"},"competition":{"$ref":"#/components/schemas/LinkRef","description":"The link of the Competition of the Fixture"},"submitHome":{"$ref":"#/components/schemas/LinkRef"},"submitAway":{"$ref":"#/components/schemas/LinkRef"},"resubmitHome":{"$ref":"#/components/schemas/LinkRef"},"resubmitAway":{"$ref":"#/components/schemas/LinkRef"},"viewHome":{"$ref":"#/components/schemas/LinkRef"},"viewAway":{"$ref":"#/components/schemas/LinkRef"},"refSignatureHome":{"$ref":"#/components/schemas/LinkRef"},"refSignatureAway":{"$ref":"#/components/schemas/LinkRef"},"patchFixture":{"$ref":"#/components/schemas/LinkRef","description":"Link to patch the fixture in the competition service, present when the user is an assigned fan of an involved team"}}},"LivePerson":{"type":"object","properties":{"personId":{"type":"string","format":"uuid","description":"The unique identifier of the person"},"givenName":{"type":"string","description":"The given name of the person"},"familyName":{"type":"string","description":"The family name of the person"},"alternateGivenName":{"type":"string","description":"The alternate given name of the person"},"alternateFamilyName":{"type":"string","description":"The alternate family name of the person"}}},"LiveScore":{"type":"object","properties":{"homeLiveGoals":{"type":"integer","format":"int32","description":"Home team live goals"},"homeLivePoints":{"type":"integer","format":"int32","description":"Home team live points"},"homeLivePenalties":{"type":"integer","format":"int32","description":"Home team live penalties"},"awayLiveGoals":{"type":"integer","format":"int32","description":"Away team live goals"},"awayLivePoints":{"type":"integer","format":"int32","description":"Away team live points"},"awayLivePenalties":{"type":"integer","format":"int32","description":"Away team live penalties"}}},"Location":{"type":"object","properties":{"latitude":{"type":"number","description":"Latitude as WGS84 decimal"},"longitude":{"type":"number","description":"Longitude as WGS84 decimal"}}},"Member":{"type":"object","properties":{"person":{"$ref":"#/components/schemas/Person"},"position":{"$ref":"#/components/schemas/Position"}}},"Members":{"type":"object","properties":{"executiveCommittee":{"type":"array","description":"Executive Committee Members","items":{"$ref":"#/components/schemas/Member"}}}},"Membership":{"type":"object","properties":{"packages":{"type":"array","items":{"$ref":"#/components/schemas/MembershipOption"}}}},"MembershipOption":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the Membership Option"},"additionalType":{"type":"string","description":"Type of Membership Option"},"season":{"type":"string","description":"Season the Membership Option is for"},"currency":{"type":"string","description":"Currency the Membership Option is in"},"price":{"type":"number","description":"Price of the Membership Option"},"name":{"type":"string","description":"Name of the Membership Option"},"description":{"type":"string","description":"Description of the Membership Option"},"availableOnlineFor":{"type":"string","description":"Who the Membership Option is available online for"},"singleOnlineCard":{"type":"boolean","description":"If the Membership Option can be paid by Card"},"installmentOption":{"type":"boolean","description":"If the Membership Option can be paid in installments"},"payLaterOption":{"type":"boolean","description":"If there is an option to pay later"},"ageCategory":{"type":"array","description":"Age groups the Membership Option is for","items":{"type":"string"},"uniqueItems":true},"associations":{"type":"array","description":"Associations the Membership Option is for","items":{"type":"string"},"uniqueItems":true},"memberTypes":{"type":"array","description":"Membership type, for example Adult, Youth or Family","items":{"type":"string"},"uniqueItems":true},"playingStatus":{"type":"array","description":"Membership is for Players, Non-Players or G4MNO","items":{"type":"string"},"uniqueItems":true}}},"Organization":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the Organization"},"identifier":{"type":"array","description":"The legacy identifiers of the Organization","items":{"type":"integer","format":"int32"}},"status":{"type":"string"},"associations":{"type":"array","description":"Associations of the Organization","items":{"type":"string"}},"additionalType":{"type":"string","description":"The type of the Organization"},"name":{"type":"string","description":"The name of the Organization"},"legalName":{"type":"string","description":"The legal name of the Organization"},"alternateName":{"type":"string","description":"The alternate name of the Organization"},"description":{"type":"string","description":"A description or biography of the Organization"},"logo":{"type":"string","description":"The logo of the Organization"},"image":{"type":"string","description":"The banner image of the Organization"},"address":{"$ref":"#/components/schemas/Address","description":"The address of the Organization"},"location":{"$ref":"#/components/schemas/Location","description":"The Latitude and Longitude of the Organization in WGS84 format"},"foundingDate":{"type":"string","description":"Date the Organization was founded in yyyy-MM-dd"},"telephone":{"type":"string","description":"The telephone of the Organization"},"faxNumber":{"type":"string","description":"The fax number of the Organization"},"sponsor":{"type":"string","description":"Who sponsors the Organization"},"clubColors":{"type":"array","description":"The club colors of the Organization","items":{"type":"string"}},"email":{"$ref":"#/components/schemas/Email","description":"Important email addresses of the Organization"},"sameAs":{"type":"array","description":"External links, for example social media of the Organization","items":{"$ref":"#/components/schemas/SameAs"}},"members":{"$ref":"#/components/schemas/Members","description":"The Executive Committee of the Organization"},"membership":{"$ref":"#/components/schemas/Membership","description":"Membership details of the Organization"},"shop":{"$ref":"#/components/schemas/OrganizationShop","description":"Shop products available from the Organization"},"fixtures":{"type":"array","description":"Upcoming fixtures for the Organization in the next 30 days","items":{"$ref":"#/components/schemas/Fixture"}},"results":{"type":"array","description":"Recent results for the Organization from the last 30 days","items":{"$ref":"#/components/schemas/Fixture"}},"links":{"$ref":"#/components/schemas/OrganizationLinks"}}},"OrganizationShop":{"type":"object","properties":{"products":{"type":"array","description":"List of products available in the shop","items":{"$ref":"#/components/schemas/Product"}}}},"Owner":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the organization that owns the Competition of the Fixture"},"name":{"type":"string","description":"The name of the organization that owns the Competition of the Fixture"}}},"PaymentLink":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the Payment Link"},"url":{"type":"string","description":"The URL for payment"},"name":{"type":"string","description":"The name of the payment link"},"quantity":{"type":"integer","format":"int32","description":"The quantity associated with the payment link"}}},"Person":{"type":"object","properties":{"givenName":{"type":"string"},"familyName":{"type":"string"},"image":{"type":"string"},"thumbnail":{"type":"string"}}},"Place":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the Venue of the Fixture"},"name":{"type":"string","description":"The name of the Venue of the Fixture"},"latitude":{"type":"number","description":"The latitude of the Venue of the Fixture","example":53.349805},"longitude":{"type":"number","description":"The longitude of the Venue of the Fixture","example":-6.257664}}},"Position":{"type":"object","properties":{"name":{"type":"string"},"rank":{"type":"integer","format":"int32"}}},"PriceInfo":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the Price"},"amount":{"type":"number","description":"The price amount"},"currency":{"type":"string","description":"The currency code (e.g., EUR, USD)"},"paymentLink":{"$ref":"#/components/schemas/PaymentLink","description":"Payment link for this price option"},"metadata":{"type":"object","additionalProperties":{"type":"string"},"description":"Additional metadata for the price"}}},"Product":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the Product"},"name":{"type":"string","description":"The name of the Product"},"description":{"type":"string","description":"The description of the Product"},"image":{"type":"string","description":"The image URL of the Product"},"prices":{"type":"array","description":"List of price options for the Product","items":{"$ref":"#/components/schemas/PriceInfo"}}}},"SameAs":{"type":"object","properties":{"url":{"type":"string","description":"URL to a resource"},"additionalType":{"type":"string","description":"The type of the resource"},"name":{"type":"string","description":"The name of the resource"}}},"Team":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the team"},"name":{"type":"string","description":"The name of the team"},"designation":{"type":"string","description":"The designation of the team (Depending on competition"},"placeholder":{"type":"string","description":"The name placeholder if a team has not been assigned to the Fixture"},"goals":{"type":"integer","format":"int32","description":"The number of goals scored by the team, only present for results"},"points":{"type":"integer","format":"int32","description":"The number of points scored by the team, only present for results"},"penalties":{"type":"integer","format":"int32","description":"The number of penalties scored by the team, only present for results"},"isBye":{"type":"boolean","description":"If the team has agreed a bye fixture"},"isConceded":{"type":"boolean","description":"If the team has conceded the fixture"},"logo":{"type":"string","description":"The logo URL of the team's organization"},"groupId":{"type":"string","format":"uuid","description":"The unique identifier of the group associated with the team"},"teamSheet":{"type":"array","description":"The team sheet of players for the team","items":{"$ref":"#/components/schemas/TeamSheetPlayer"}}}},"TeamSheetPlayer":{"type":"object","properties":{"personId":{"type":"string","format":"uuid"},"givenName":{"type":"string"},"familyName":{"type":"string"},"alternateGivenName":{"type":"string"},"alternateFamilyName":{"type":"string"},"jerseyNumber":{"type":"integer","format":"int32"},"isStarting":{"type":"boolean"},"isCaptain":{"type":"boolean"},"image":{"type":"string"},"thumbnail":{"type":"string"}}},"PagedResponseFixture":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Fixture"}},"links":{"$ref":"#/components/schemas/PaginationLinks"},"page":{"$ref":"#/components/schemas/PaginationMeta"}}},"FixtureDate":{"type":"object","properties":{"startDate":{"type":"string","format":"date-time"}}},"PageFixtureDate":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/FixtureDate"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"},"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"unpaged":{"type":"boolean"}}},"SortObject":{"type":"object","properties":{"empty":{"type":"boolean"},"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"}}},"PagedResponseCompetition":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Competition"}},"links":{"$ref":"#/components/schemas/PaginationLinks"},"page":{"$ref":"#/components/schemas/PaginationMeta"}}},"CompetitionTeam":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the team"},"name":{"type":"string","description":"Name of the team"},"logo":{"type":"string","description":"Logo URL of the team"},"address":{"$ref":"#/components/schemas/Address","description":"Address of the team"},"divisionId":{"type":"string","format":"uuid","description":"Unique identifier for the Division the team is competing in"},"divisionName":{"type":"string","description":"Name of the Division the team is competing in"}}},"CompetitionTeams":{"type":"object","properties":{"competitionId":{"type":"string","format":"uuid","description":"Unique identifier for the Competition"},"competitionName":{"type":"string","description":"Name of the Competition"},"teams":{"type":"array","description":"Teams in this competition, ordered by name","items":{"$ref":"#/components/schemas/CompetitionTeam"}}}}},"securitySchemes":{"Authorization":{"type":"apiKey","name":"Authorization","in":"header"}}}}